This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 441194 - convert current RHBZ 2.18 selenium testsuite to work with 3.2 bugzilla
convert current RHBZ 2.18 selenium testsuite to work with 3.2 bugzilla
Status: CLOSED CURRENTRELEASE
Product: Bugzilla
Classification: Community
Component: Test (Show other bugs)
3.2
All Linux
low Severity low (vote)
: ---
: ---
Assigned To: Tony Fu
:
Depends On:
Blocks: 406341 427053
  Show dependency treegraph
 
Reported: 2008-04-07 00:21 EDT by Noura El hawary
Modified: 2013-06-24 00:16 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-25 20:39:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
selenium test scripts (6.98 KB, application/x-gzip)
2008-04-09 01:47 EDT, Tony Fu
no flags Details
selenium test scripts (6.96 KB, application/octet-stream)
2008-04-14 01:23 EDT, Tony Fu
no flags Details
bz3 selenium test scripts (8.11 KB, application/octet-stream)
2008-04-14 03:01 EDT, Tony Fu
no flags Details

  None (edit)
Description Noura El hawary 2008-04-07 00:21:32 EDT
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Noura El hawary 2008-04-07 00:23:50 EDT
Tony is currently working on converting the current 2.18 selenium testsuite to
work with 3.2 bugzilla , creating this bug to track that. at the same time we
are engaging with the upstream to try an contribute our test suite to them.
Comment 2 Tony Fu 2008-04-09 01:46:24 EDT
Noura,

Please check out attached selenium test scripts.


Tony
Comment 3 Tony Fu 2008-04-09 01:47:15 EDT
Created attachment 301751 [details]
selenium test scripts
Comment 4 Tony Fu 2008-04-14 01:23:39 EDT
Created attachment 302306 [details]
selenium test scripts

the previous attachment is corrupted.  Try to attach another one.
Comment 5 Tony Fu 2008-04-14 03:01:24 EDT
Created attachment 302308 [details]
bz3 selenium test scripts
Comment 6 Noura El hawary 2008-04-14 09:49:09 EDT
Tony the tests look perfect and they work nicely with bugzilla3.2 :D Well Done!, 
Just please include also in your patch runtests.pl and the original copy of
test-notes.conf with the modification you made to it. 

test 308_createBugFlagTypes.t reveals the error you found in editflagtypes.cgi.
So i guess that a fix needs to be committed to cvs for it. Dave I think you
missed that email Tony sent before with subject 
'Column count doesn't match binding value count' that had an explanation of the
error. I am forwarding it to you again now, Can you please take a look at it.

Thanks,
Noura
Comment 7 Kevin Baker 2008-04-14 21:56:51 EDT
Tests work with selenium RC 0.9.2 and firefox 2.

What about testing with firefox 3?
Comment 8 Kevin Baker 2008-04-14 22:01:24 EDT
Add a file in the test directory called TODO.RedHat explaining that these
tests are written by us and the goal is to one day merge them into the
upstream. 
Comment 9 David Lawrence 2008-07-30 23:52:25 EDT
Removing these from the Bugzilla 3 upgrade tracker as these are ongoing and will
be finished after the upgrade.
Comment 10 David Lawrence 2008-11-25 16:44:42 EST
Tony, can this be closed or is this ongoing?
Comment 11 Tony Fu 2008-11-25 20:39:12 EST
(In reply to comment #10)
> Tony, can this be closed or is this ongoing?

Checked with Noura and we can closed it.


Tony

Note You need to log in before you can comment on or make changes to this bug.